Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ExitNotification

- org.codehaus.groovy.tools.shell.ExitNotification

- Notification to signal the shell to exit.

  Authors:
    Jason Dillon

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `code` The exit code.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExitNotification (int code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Error` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final int code

      The exit code.

  - ### Constructor Detail

    - #### ExitNotification(int code)